cURL
curl --request GET \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/payment-intents \
--header 'Authorization: Bearer <token>' \
--header 'X-Grid-Environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/payment-intents"
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Grid-Environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}/payment-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Bridge": {
"amount": "100.00",
"created_at": "2025-04-01T16:51:23.773Z",
"destination": {
"ach_reference": "<string>",
"blockchain_memo": "<string>",
"bridge_wallet_id": "<string>",
"external_account_id": "<string>",
"from_address": "<string>",
"imad": "<string>",
"omad": "<string>",
"sepa_reference": "<string>",
"swift_charges": "<string>",
"swift_reference": "<string>",
"to_address": "<string>",
"trace_number": "<string>",
"uetr": "<string>",
"wire_message": "<string>"
},
"developer_fee": "100.00",
"id": "<string>",
"on_behalf_of": "<string>",
"receipt": {
"developer_fee": "100.00",
"exchange_fee": "100.00",
"exchange_rate": "100.00",
"final_amount": "100.00",
"gas_fee": "100.00",
"initial_amount": "100.00",
"remaining_prefunded_balance": "100.00",
"subtotal_amount": "100.00",
"destination_tx_hash": "<string>",
"source_tx_hash": "<string>",
"url": "<string>"
},
"source": {
"bank_beneficiary_address": "<string>",
"bank_beneficiary_name": "<string>",
"bank_name": "<string>",
"bank_routing_number": "<string>",
"bridge_wallet_id": "<string>",
"description": "<string>",
"external_account_id": "<string>",
"from_address": "<string>",
"imad": "<string>",
"omad": "<string>"
},
"updated_at": "2025-04-01T16:51:23.773Z",
"blockchain_memo": "<string>",
"client_reference_id": "<string>",
"return_details": {
"reason": "<string>",
"refund_reference_id": "<string>"
},
"source_deposit_instructions": {
"account_holder_name": "<string>",
"amount": "100.00",
"bank_account_number": "<string>",
"bank_address": "<string>",
"bank_beneficiary_address": "<string>",
"bank_beneficiary_name": "<string>",
"bank_name": "<string>",
"bank_routing_number": "<string>",
"bic": "<string>",
"blockchain_memo": "<string>",
"deposit_message": "<string>",
"external_account_id": "<string>",
"from_address": "<string>",
"iban": "<string>",
"to_address": "<string>"
}
}
}
]{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}Payments
Get All Payment Intents
GET
/
smart-accounts
/
{smart_account_address}
/
payment-intents
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Path Parameters
The address of the smart account to get payment intents for
Query Parameters
Filter by payment rail type
Available options:
ach, ach_push, ach_same_day, sepa, swift, wire, arbitrum, avalanche_c_chain, base, bridge_wallet, ethereum, optimism, polygon, solana, stellar, tron Filter by transfer status
Available options:
awaiting_funds, in_review, funds_received, payment_submitted, payment_processed, canceled, error, undeliverable, returned, refunded Filter by currency
Available options:
usd, eur, mxn, usdc, usdt, usdb, dai, pyusd, eurc Filter by start date
Filter by end date
Filter by transaction hash
Limit the number of results (max 100, default 10)
Required range:
x >= 0Pagination cursor
Response
Successfully retrieved payment intents
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I